
TYPO3.Eel - Bug # 54487

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2013-12-18 Assigned To: Christian Müller
Updated: 2013-12-18 Due date:
Subject: Prevent race conditions in EEL Expression cache
Description

Currently the cached code is loaded early which is unnecessary in case there are no new expressions to cache and can also lead to
race conditions.

Associated revisions
Revision 65b34b44 - 2013-12-18 12:20 - Christian Müller

[BUGFIX] Prevent race conditions in Eel Expression Cache

This should prevent race conditions where the included cache
file contained less expressions than the file that ends up in
the code to be cached string.

Change-Id: Ieaa3d21afe4c543b83ec381a094515186dda3c2b
Fixes: #54487
Releases: master, 2.1
Reviewed-on: https://review.typo3.org/26454
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller
Reviewed-by: Robert Lemke
Tested-by: Robert Lemke
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

Revision 854789c3 - 2014-01-24 10:15 - Christian Müller

[BUGFIX] Prevent race conditions in Eel Expression Cache

This should prevent race conditions where the included cache
file contained less expressions than the file that ends up in
the code to be cached string.

Change-Id: Ieaa3d21afe4c543b83ec381a094515186dda3c2b
Fixes: #54487
Releases: master, 2.1
Reviewed-on: https://review.typo3.org/26470
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns
Tested-by: Mr. Hudson
Reviewed-by: Dominique Feyer
Tested-by: Dominique Feyer
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2013-12-18 10:43 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 4 for branch master of project Packages/TYPO3.Eel has been pushed to the review server.
It is available at https://review.typo3.org/26454

#2 - 2013-12-18 12:20 - Gerrit Code Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Eel has been pushed to the review server.
It is available at https://review.typo3.org/26470

#3 - 2013-12-18 12:40 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:65b34b448deeadd331c8fa7c079c36c7812fdcc1.
